## org.apache.commons.collections
Interface BoundedMap

All Superinterfaces:
  java.util.Map

All Known Implementing Classes:
  FixedSizeMap, FixedSizeSortedMap, LRUMap, SingletonMap

    public interface BoundedMap

extends java.util.Map

Defines a map that is bounded in size.

The size of the map can vary, but it can never exceed a preset maximum number of elements. This interface allows the querying of details associated with the maximum number of elements.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry`

Method Summary
`boolean` `isFull()` Returns true if this map is full and no new elements can be added.
`int` `maxSize()` Gets the maximum size of the map (the bound).

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### isFull

    boolean isFull()

  Returns true if this map is full and no new elements can be added.

  Returns:
    `true` if the map is full

### maxSize

    int maxSize()

  Gets the maximum size of the map (the bound).

  Returns:
    the maximum number of elements the map can hold

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.